# xoxys.freshrss_docker
  
[![Build Status](https://drone.rknet.org/api/badges/ansible/xoxys.freshrss_docker/status.svg)](https://drone.rknet.org/ansible/xoxys.freshrss_docker)


Setup FreshRSS server

## Table of content

* [Default Variables](#default-variables)
  * [freshrss_version](#freshrss_version)
  * [freshrss_service_directory](#freshrss_service_directory)
  * [freshrss_container_name](#freshrss_container_name)
  * [freshrss_image](#freshrss_image)
  * [freshrss_restart_policy](#freshrss_restart_policy)
  * [freshrss_exposed_port](#freshrss_exposed_port)
  * [freshrss_exposed_ip](#freshrss_exposed_ip)
  * [freshrss_extra_hosts](#freshrss_extra_hosts)
  * [freshrss_cap_add](#freshrss_cap_add)
  * [freshrss_cap_drop](#freshrss_cap_drop)
  * [freshrss_security_opt](#freshrss_security_opt)
  * [freshrss_healthcheck](#freshrss_healthcheck)
  * [freshrss_default_user](#freshrss_default_user)
  * [freshrss_default_password](#freshrss_default_password)
  * [freshrss_base_url](#freshrss_base_url)
  * [freshrss_language](#freshrss_language)
  * [freshrss_title](#freshrss_title)
  * [freshrss_allow_anonymous](#freshrss_allow_anonymous)
  * [freshrss_allow_anonymous_refresh](#freshrss_allow_anonymous_refresh)
  * [freshrss_auth_type](#freshrss_auth_type)
  * [freshrss_api_enabled](#freshrss_api_enabled)
  * [freshrss_unsafe_autologin_enabled](#freshrss_unsafe_autologin_enabled)
  * [freshrss_simplepie_syslog_enabled](#freshrss_simplepie_syslog_enabled)
  * [freshrss_pubsubhubbub_enabled](#freshrss_pubsubhubbub_enabled)
  * [freshrss_allow_robots](#freshrss_allow_robots)
  * [freshrss_allow_referrer](#freshrss_allow_referrer)
  * [freshrss_limits_cookie_duration](#freshrss_limits_cookie_duration)
  * [freshrss_limits_cache_duration](#freshrss_limits_cache_duration)
  * [freshrss_limits_timeout](#freshrss_limits_timeout)
  * [freshrss_limits_max_inactivity](#freshrss_limits_max_inactivity)
  * [freshrss_limits_max_feeds](#freshrss_limits_max_feeds)
  * [freshrss_limits_max_categories](#freshrss_limits_max_categories)
  * [freshrss_limits_max_registrations](#freshrss_limits_max_registrations)
  * [freshrss_extensions_enabled](#freshrss_extensions_enabled)
  * [ttrss_db_type](#ttrss_db_type)
  * [freshrss_db_server](#freshrss_db_server)
  * [freshrss_db_port](#freshrss_db_port)
  * [freshrss_db_name](#freshrss_db_name)
  * [freshrss_db_user](#freshrss_db_user)
  * [freshrss_db_password](#freshrss_db_password)
  * [freshrss_db_ssl_mode](#freshrss_db_ssl_mode)
  * [freshrss_db_ssl_rootcert](#freshrss_db_ssl_rootcert)
  * [freshrss_iptables_enabled](#freshrss_iptables_enabled)
  * [freshrss_open_ports](#freshrss_open_ports)
  * [freshrss_memory_limit](#freshrss_memory_limit)
  * [freshrss_memory_reservation](#freshrss_memory_reservation)
  * [freshrss_cpu_shares](#freshrss_cpu_shares)
  * [freshrss_pids_limit](#freshrss_pids_limit)
  * [freshrss_salt](#freshrss_salt)
  * [freshrss_meta_description](#freshrss_meta_description)
  * [freshrss_curlopt_ssl_verifyhost](#freshrss_curlopt_ssl_verifyhost)
  * [freshrss_curlopt_ssl_verifypeer](#freshrss_curlopt_ssl_verifypeer)
  * [freshrss_curlopt_proxytype](#freshrss_curlopt_proxytype)
  * [freshrss_curlopt_proxy](#freshrss_curlopt_proxy)
  * [freshrss_curlopt_proxyport](#freshrss_curlopt_proxyport)
  * [freshrss_curlopt_proxyauth](#freshrss_curlopt_proxyauth)
  * [freshrss_curlopt_proxyuserpwd](#freshrss_curlopt_proxyuserpwd)
* [Dependencies](#dependencies)
* [License](#license)
* [Author](#author)

---

## Default Variables

### freshrss_version

#### Default value

```YAML
freshrss_version: latest
```

### freshrss_service_directory

#### Default value

```YAML
freshrss_service_directory: /var/lib/docker/services/freshrss
```

### freshrss_container_name

#### Default value

```YAML
freshrss_container_name: freshrss
```

### freshrss_image

#### Default value

```YAML
freshrss_image: xoxys/freshrss:{{ freshrss_version }}
```

### freshrss_restart_policy

#### Default value

```YAML
freshrss_restart_policy: on-failure
```

### freshrss_exposed_port

#### Default value

```YAML
freshrss_exposed_port: 61000
```

### freshrss_exposed_ip

#### Default value

```YAML
freshrss_exposed_ip: 127.0.0.1
```

### freshrss_extra_hosts

#### Default value

```YAML
freshrss_extra_hosts: []
```

### freshrss_cap_add

#### Default value

```YAML
freshrss_cap_add: []
```

### freshrss_cap_drop

#### Default value

```YAML
freshrss_cap_drop: []
```

### freshrss_security_opt

#### Default value

```YAML
freshrss_security_opt: []
```

### freshrss_healthcheck

#### Default value

```YAML
freshrss_healthcheck:
  test: '["CMD", "/usr/local/bin/healthcheck.sh"]'
  interval: 30s
  timeout: 5s
  retries: 5
```

### freshrss_default_user

#### Default value

```YAML
freshrss_default_user: admin
```

### freshrss_default_password

#### Default value

```YAML
freshrss_default_password: freshrss
```

### freshrss_base_url

Specify address of the freshrss instance, used when building absolute urls, e.g. for websub.

#### Default value

```YAML
freshrss_base_url: http://localhost/
```

### freshrss_language

#### Default value

```YAML
freshrss_language: en
```

### freshrss_title

#### Default value

```YAML
freshrss_title: FreshRSS
```

### freshrss_allow_anonymous

#### Default value

```YAML
freshrss_allow_anonymous: 'false'
```

### freshrss_allow_anonymous_refresh

#### Default value

```YAML
freshrss_allow_anonymous_refresh: 'false'
```

### freshrss_auth_type

#### Default value

```YAML
freshrss_auth_type: form
```

### freshrss_api_enabled

#### Default value

```YAML
freshrss_api_enabled: 'false'
```

### freshrss_unsafe_autologin_enabled

#### Default value

```YAML
freshrss_unsafe_autologin_enabled: 'false'
```

### freshrss_simplepie_syslog_enabled

#### Default value

```YAML
freshrss_simplepie_syslog_enabled: 'true'
```

### freshrss_pubsubhubbub_enabled

#### Default value

```YAML
freshrss_pubsubhubbub_enabled: 'false'
```

### freshrss_allow_robots

#### Default value

```YAML
freshrss_allow_robots: 'false'
```

### freshrss_allow_referrer

#### Default value

```YAML
freshrss_allow_referrer: 'false'
```

### freshrss_limits_cookie_duration

#### Default value

```YAML
freshrss_limits_cookie_duration: '2592000'
```

### freshrss_limits_cache_duration

#### Default value

```YAML
freshrss_limits_cache_duration: '800'
```

### freshrss_limits_timeout

#### Default value

```YAML
freshrss_limits_timeout: '15'
```

### freshrss_limits_max_inactivity

#### Default value

```YAML
freshrss_limits_max_inactivity: '10800'
```

### freshrss_limits_max_feeds

#### Default value

```YAML
freshrss_limits_max_feeds: '16384'
```

### freshrss_limits_max_categories

#### Default value

```YAML
freshrss_limits_max_categories: '16384'
```

### freshrss_limits_max_registrations

#### Default value

```YAML
freshrss_limits_max_registrations: '1'
```

### freshrss_extensions_enabled

List of FreshRSS extensions to enable. Extensions must be already installed!

#### Default value

```YAML
freshrss_extensions_enabled:
  - Tumblr-GDPR
```

### ttrss_db_type

#### Default value

```YAML
ttrss_db_type: pgsql
```

### freshrss_db_server

#### Default value

```YAML
freshrss_db_server: localhost
```

### freshrss_db_port

#### Default value

```YAML
freshrss_db_port: 5432
```

### freshrss_db_name

#### Default value

```YAML
freshrss_db_name: freshrss
```

### freshrss_db_user

#### Default value

```YAML
freshrss_db_user: pgfreshrss
```

### freshrss_db_password

#### Default value

```YAML
freshrss_db_password: secure
```

### freshrss_db_ssl_mode

This variable is only supported for `pgsql` DB type.

#### Default value

```YAML
freshrss_db_ssl_mode: disable
```

### freshrss_db_ssl_rootcert

#### Default value

```YAML
freshrss_db_ssl_rootcert: /etc/ssl/certs/ca-certificates.crt
```

### freshrss_iptables_enabled

#### Default value

```YAML
freshrss_iptables_enabled: false
```

### freshrss_open_ports

#### Default value

```YAML
freshrss_open_ports:
  - name: allow_freshrss_web
    rules: "-A INPUT -m state --state NEW -p tcp --dport {{ freshrss_exposed_port\
      \ }} -j ACCEPT\n"
    state: present
```

### freshrss_memory_limit

#### Default value

```YAML
freshrss_memory_limit: _unset_
```

#### Example usage

```YAML
freshrss_memory_limit: 512m
```

### freshrss_memory_reservation

#### Default value

```YAML
freshrss_memory_reservation: _unset_
```

#### Example usage

```YAML
freshrss_memory_reservation: 256m
```

### freshrss_cpu_shares

#### Default value

```YAML
freshrss_cpu_shares: _unset_
```

#### Example usage

```YAML
freshrss_cpu_shares: '1024'
```

### freshrss_pids_limit

#### Default value

```YAML
freshrss_pids_limit: _unset_
```

### freshrss_salt

Salt is used to make crypto more unique. You can generate your own salt with e.g. `cat /proc/sys/kernel/random/uuid | sha1sum | awk '{print $1}'`.

#### Default value

```YAML
freshrss_salt: _unset_
```

### freshrss_meta_description

#### Default value

```YAML
freshrss_meta_description: _unset_
```

### freshrss_curlopt_ssl_verifyhost

#### Default value

```YAML
freshrss_curlopt_ssl_verifyhost: _unset_
```

### freshrss_curlopt_ssl_verifypeer

#### Default value

```YAML
freshrss_curlopt_ssl_verifypeer: _unset_
```

### freshrss_curlopt_proxytype

#### Default value

```YAML
freshrss_curlopt_proxytype: _unset_
```

### freshrss_curlopt_proxy

#### Default value

```YAML
freshrss_curlopt_proxy: _unset_
```

### freshrss_curlopt_proxyport

#### Default value

```YAML
freshrss_curlopt_proxyport: _unset_
```

### freshrss_curlopt_proxyauth

#### Default value

```YAML
freshrss_curlopt_proxyauth: _unset_
```

### freshrss_curlopt_proxyuserpwd

#### Default value

```YAML
freshrss_curlopt_proxyuserpwd: _unset_
```

## Dependencies

None.

## License

MIT

## Author

xoxys
